import { LitElement } from 'lit';
type Constructor<T = {}> = new (...args: any[]) => T;
export declare class ActiveMixinInterface {
    active: boolean;
}
/**
 * This mixin provides functionality to other components to be active using a common `active` property.
 *
 * @param {Object} superClass - superclass to be extended.
 * @mixin
 */
export declare const ActiveMixin: <T extends Constructor<LitElement>>(superClass: T) => Constructor<ActiveMixinInterface> & T;
export {};
